Enroll Payment Method

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This request enrolls a payment method for a customer. With the information provided by Yuno after the customer selects the payment method to enroll, you will be able to save that information for future purchases using the payment method object created.

Check the Available payment methods in Yuno. You'll need to set your credentials for each payment method in the Yuno dashboard in order to to be able to use them.

Note that this request requires an X-Idempotency-Key. Check the Authentication page for more information.

📘

Webhooks

We recommend listening to Webhooks to stay up to date with the state of the enrolled payment methods of your customers.

If a customer enrolls the same card multiple times, Yuno creates a new enrollment each time and returns a distinct vaulted_token. Use the card fingerprint in the enrollment response to detect duplicates on your side (the fingerprint may be null for some providers). See Card Fingerprint.

🚧

Only available for PCI certified merchants.

Path Params
string
required

The unique identifier of the customer, created using the Create Customer endpoint (MAX 64; MIN 36).

Body Params
string
required

The unique identifier of the account. You find this information on Yuno's Dashboard (MAX 64; MIN 36).

string
enum
required

The transaction's country code (MAX 2; MIN 2; ISO 3166-1).

string
enum
required

The payment method type (MAX 255; MIN 3; Payment type).

Allowed:
string
enum
Defaults to DIRECT

The payment workflow indicates whether the integration will use Yuno's SDK or will be a back to back connection. Since you are in the Direct workflow, the value must be DIRECT.

Allowed:
provider_data
object

Specifies the provider_data object. This object should only be sent if the merchant requires a token migration process and as long as this has already been agreed with your commercial advisor in Yuno.

card_data
object

Specifies the details of the card. Only for DIRECT workflow integration.

string

URL to return the customer after an enrollment in a provider´s environment. Only necessary for alternative payment methods integrations (MAX 255; MIN 3).

verify
object

Indicates whether to verify the payment with a verify transaction or not. You’ll need to have a provider defined in your CARD route. False by default.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json